org.apache.commons.math3.analysis.function

## Class Logit.Parametric

- java.lang.Object
- - org.apache.commons.math3.analysis.function.Logit.Parametric

All Implemented Interfaces:
  ParametricUnivariateFunction

Enclosing class:
  Logit

    public static class Logit.Parametric
    extends Object
    implements ParametricUnivariateFunction

Parametric function where the input array contains the parameters of the logit function, ordered as follows:

- Lower bound
- Higher bound

### Constructor Summary

Constructors
Constructor and Description
`Logit.Parametric()`

### Method Summary

Methods
`double[]` `gradient(double x, double... param)` Computes the value of the gradient at `x`.
`private void` `validateParameters(double[] param)` Validates parameters to ensure they are appropriate for the evaluation of the `value(double,double[])` and `gradient(double,double[])` methods.
`double` `value(double x, double... param)` Computes the value of the logit at `x`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Logit.Parametric

    public Logit.Parametric()

### Method Detail

#### value

    public double value(double x,
               double... param)
                 throws NullArgumentException,
                        DimensionMismatchException

Computes the value of the logit at `x`.

Specified by:
  `value` in interface `ParametricUnivariateFunction`
Parameters:
  `x` - Value for which the function must be computed.
  `param` - Values of lower bound and higher bounds.
Returns:
  the value of the function.
Throws:
  `NullArgumentException` - if `param` is `null`.
  `DimensionMismatchException` - if the size of `param` is not 2.

#### gradient

    public double[] gradient(double x,
                    double... param)
                      throws NullArgumentException,
                             DimensionMismatchException

Computes the value of the gradient at `x`. The components of the gradient vector are the partial derivatives of the function with respect to each of the parameters (lower bound and higher bound).

Specified by:
  `gradient` in interface `ParametricUnivariateFunction`
Parameters:
  `x` - Value at which the gradient must be computed.
  `param` - Values for lower and higher bounds.
Returns:
  the gradient vector at `x`.
Throws:
  `NullArgumentException` - if `param` is `null`.
  `DimensionMismatchException` - if the size of `param` is not 2.

#### validateParameters

    private void validateParameters(double[] param)
                             throws NullArgumentException,
                                    DimensionMismatchException

Validates parameters to ensure they are appropriate for the evaluation of the `value(double,double[])` and `gradient(double,double[])` methods.

Parameters:
  `param` - Values for lower and higher bounds.
Throws:
  `NullArgumentException` - if `param` is `null`.
  `DimensionMismatchException` - if the size of `param` is not 2.